names.XMLNode {XML} | R Documentation

## Get the names of an XML nodes children.

### Description

This is a convenient way to obtain the XML tag name of each of the sub-nodes of a given `XMLNode` object.

### Usage

    ## S3 method for class 'XMLNode'
    names(x)

### Arguments

`x` | the `XMLNode` whose sub-node tag names are being queried.

### Value

A character vector returning the tag names of the sub-nodes of the given `XMLNode` argument.

### Note

This overrides the regular names method which would display the names of the internal fields of an `XMLNode` object. Since these are intended to be invisible and queried via the accessor methods (`xmlName`, `xmlAttrs`, etc.), this should not be a problem. If you really need the names of the fields, use `names(unclass(x))`.

### Author(s)

Duncan Temple Lang

### References

http://www.w3.org/XML, http://www.jclark.com/xml, http://www.omegahat.net

### See Also

`xmlApply` `xmlSApply`

### Examples

     doc <- xmlTreeParse(system.file("exampleData", "mtcars.xml", package="XML"))
     names(xmlRoot(doc))

     r <- xmlRoot(doc)
     r[names(r) == "variables"]

[Package XML version 3.98-1.4 Index]